<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Godzilla: Monsters &amp; Protectors—All Hail the King!</Series>
  <Number>4</Number>
  <Web>https://www.amazon.com/dp/B0B9ZLG3TL</Web>
  <Summary>Ghidorah is about to attack Tokyo. Cedric and his friends know they need to call on Godzilla for help, but will the King of the Monsters listen and return for a rematch against Ghidorah? And has Godzilla healed enough to put up a fight? What if it hasn’t? That’s where new friend Karen comes in: she’s able to call another monster…another king. From the shores of Okinawa, King Caesar is summoned to help humanity! It’s the penultimate chapter of All Hail the King!</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0B9ZLG3TL]</Notes>
  <Publisher>IDW</Publisher>
  <Genre>Action/Adventure, Science Fiction, Movies &amp; TV</Genre>
  <PageCount>26</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
